Bug 981856 - [abrt] gedit-3.8.3-1.fc19: gcp_scrollbar_marker_update_spacing: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.8.3-1.fc19: gcp_scrollbar_marker_update_spacing: Process /usr/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:3472045320b4e990903cc976571...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 08:03 EDT by Christian Stadelmann
Modified: 2015-02-17 10:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.59 KB, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (4.31 KB, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: dso_list (21.71 KB, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: environ (4.15 KB, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-06 08:03 EDT, Christian Stadelmann
no flags Details
File: maps (91.83 KB, text/plain)
2013-07-06 08:04 EDT, Christian Stadelmann
no flags Details
File: open_fds (1.90 KB, text/plain)
2013-07-06 08:04 EDT, Christian Stadelmann
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-07-06 08:04 EDT, Christian Stadelmann
no flags Details
File: var_log_messages (14.88 KB, text/plain)
2013-07-06 08:04 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2013-07-06 08:03:34 EDT
Description of problem:
Steps to reproduce:
1. Open gedit
2. Open at least 2 tabs (files)
3. drag and drop one tab outside of gedits window
4. wait until gedit will create a new window for this tab
5. make gedit loose focus (select another window)

100% reproduceable: gedit crashes

Version-Release number of selected component:
gedit-3.8.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gedit /usr/lib/python2.7/site-packages/pkg_resources.py
crash_function: gcp_scrollbar_marker_update_spacing
executable:     /usr/bin/gedit
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gcp_scrollbar_marker_update_spacing at gcp-scrollbar-marker.c:239
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 gtk_style_context_do_invalidate at gtkstylecontext.c:3095
 #9 _gtk_style_context_validate at gtkstylecontext.c:3297
 #20 gtk_container_idle_sizer at gtkcontainer.c:1654
 #21 _g_closure_invoke_va at gclosure.c:840
 #23 g_signal_emit_by_name at gsignal.c:3424
 #24 gdk_frame_clock_paint_idle at gdkframeclockidle.c:400
 #30 g_main_context_iteration at gmain.c:3762
 #31 g_application_run at gapplication.c:1623
Comment 1 Christian Stadelmann 2013-07-06 08:03:38 EDT
Created attachment 769563 [details]
File: backtrace
Comment 2 Christian Stadelmann 2013-07-06 08:03:44 EDT
Created attachment 769564 [details]
File: cgroup
Comment 3 Christian Stadelmann 2013-07-06 08:03:46 EDT
Created attachment 769565 [details]
File: core_backtrace
Comment 4 Christian Stadelmann 2013-07-06 08:03:49 EDT
Created attachment 769566 [details]
File: dso_list
Comment 5 Christian Stadelmann 2013-07-06 08:03:52 EDT
Created attachment 769567 [details]
File: environ
Comment 6 Christian Stadelmann 2013-07-06 08:03:55 EDT
Created attachment 769568 [details]
File: limits
Comment 7 Christian Stadelmann 2013-07-06 08:04:00 EDT
Created attachment 769569 [details]
File: maps
Comment 8 Christian Stadelmann 2013-07-06 08:04:03 EDT
Created attachment 769570 [details]
File: open_fds
Comment 9 Christian Stadelmann 2013-07-06 08:04:05 EDT
Created attachment 769571 [details]
File: proc_pid_status
Comment 10 Christian Stadelmann 2013-07-06 08:04:08 EDT
Created attachment 769572 [details]
File: var_log_messages
Comment 11 Jacek Pliszka 2013-11-29 17:31:46 EST
In my case it happens when I open two tabs - one for remote (gvfs ssh file) and one for local file and I try to separate them into two separate windows.
Comment 12 Ferry Huberts 2014-01-29 15:04:20 EST
Same thing happened to me as in comment 11
Comment 13 efreeti 2014-04-11 02:05:08 EDT
This bug is 100% reproducible in Fedora 20. Just clicking two files to open under same window, then drag out one of the tabs to form a new independent window. Then switching focus between these two will immediately crash. Can't believe this bug is already almost one year and it's still not fixed.
Comment 14 efreeti 2014-04-11 02:12:07 EDT
Additional info:
Crash tested on package Version 3.10.3
Comment 15 Christian Stadelmann 2014-10-01 06:51:19 EDT
This bug seems fixed in F21 alpha (Gnome 3.14). Can you confirm that?
Comment 16 Bernhard Schuster 2015-01-04 08:04:15 EST
Confirmed. It may be closed.
Comment 17 Fedora End Of Life 2015-01-09 13:42:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-17 10:54:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.